package examenes.examen20250221.ejercicio03;

import examenes.examen20250221.utils.Utils;

import java.util.ArrayList;
import java.util.List;

public class Main {
    public static void main(String[] args) {
        List<Prestamo> prestamos = new ArrayList<>();
        int opcion;

        do {
            System.out.println("Seleccione lo que desea hacer:\n" +
                    "0. Salir\n" +
                    "1. Coger prestado un libro");

            opcion = Utils.solicitarIntScannerInline("> ");
            switch (opcion) {
                case 1:
                    Prestamo nuevoPrestamo = new Prestamo(
                            Utils.solicitarFechaInline("dd/MM/yyyy"),
                            Utils.solicitarIntScannerInline("Introduzca el código de usuario: "),
                            Utils.solicitarIntScannerInline("Introduzca el ISBN del libro: "),
                            Utils.solicitarIntScannerInline("Escriba 1 si es un libro de alta demanda o 0 si es demanda normal: ") == 1);

                    prestamos.add(nuevoPrestamo);
                    System.out.println("\n\nTendrás que devolver el libro el " + nuevoPrestamo.getFechaEntrega());
                    break;

            }
        } while (opcion != 0);


    }
}
